-- @module AudioSource
local constants = require "scripts.constants"

local AudioSource = {}

function AudioSource.getModDev()
	local mod, dev
	if GetButtonDown(constants.BtnAudioSourceMicrophoneId) == 1 then
		mod = constants.DefaultAudioSrcModule
		dev = constants.DefaultAudioSrcDevice
	end
	if GetButtonDown(constants.BtnAudioSourceRadio1Id) == 1 then
		mod = "avformat"
		dev = "http://stream.rockantenne.de/gothic/stream/mp3?aw_0_1st.playerid=radio.de"
	end
	if GetButtonDown(constants.BtnAudioSourceRadio3Id) == 1 then
		mod = "avformat"
		dev = "http://stream4.nadaje.com:15476/radiobialystok"
	end
	if GetButtonDown(constants.BtnAudioSourceWaveFile) == 1 then
		mod = "aufile"
		dev = "Hydrozagadka_Herman.wav"
	end
	return mod, dev
end

function AudioSource.update()
	if GetButtonDown(constants.BtnGongId) == 1 then
		return
	end

	local mod, dev = AudioSource.getModDev()

	local callIdStr
	callIdStr = GetVariable(constants.Target1CallUidVarName);
	if callIdStr ~= "" then
		local callId = tonumber(callIdStr)
		SwitchAudioSource2(callId, mod, dev)
	end

	callIdStr = GetVariable(constants.Target2CallUidVarName);
	if callIdStr ~= "" then
		local callId = tonumber(callIdStr)
		SwitchAudioSource2(callId, mod, dev)
	end

	callIdStr = GetVariable(constants.Target3CallUidVarName);
	if callIdStr ~= "" then
		local callId = tonumber(callIdStr)
		SwitchAudioSource2(callId, mod, dev)
	end

	callIdStr = GetVariable(constants.Target4CallUidVarName);
	if callIdStr ~= "" then
		local callId = tonumber(callIdStr)
		SwitchAudioSource2(callId, mod, dev)
	end

end


function AudioSource.updateCall(callId)
	local mod, dev = AudioSource.getModDev()
	SwitchAudioSource2(callId, mod, dev)
end

return AudioSource
