local constants = require "scripts.constants"

local execSourceType = GetExecSourceType()	-- 7 = BLF state change
if execSourceType ~= 7 then
	print("Unexpected context for BLF state script!\n")
	return
end
local contactId = GetExecSourceId()			-- contact id in this context

local number, state = GetBlfState(contactId)

local blfVarName
local targetId

if number == constants.Target1Blf then
	blfVarName = constants.Target1BlfVarName
	targetId = 1
elseif number == constants.Target2Blf then
	blfVarName = constants.Target2BlfVarName
	targetId = 2
elseif number == constants.Target3Blf then
	blfVarName = constants.Target3BlfVarName
	targetId = 3
elseif number == constants.Target4Blf then
	blfVarName = constants.Target4BlfVarName
	targetId = 4
else
	print(string.format("BLF change: number = %s, not matching known\n", number))
	return
end

--[[
for state value:
enum dialog_info_status {
	DIALOG_INFO_UNKNOWN = 0,		///< not subscribed / subscription failed
	DIALOG_INFO_TERMINATED,
	DIALOG_INFO_EARLY,
	DIALOG_INFO_CONFIRMED
};
If contactId is out of range (e.g. there is no subscription) then value = -1 is returned.
This is unexpected in script running on event though.
]]

SetVariable(blfVarName, state)

local buttonStatus = require "scripts.ButtonStatus"
buttonStatus.update(targetId)